%bcond_with bootstrap

Name:           apache-commons-cli
Version:        1.9.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Command Line Interface Library for Java
License:        ASL 2.0
URL:            https://commons.apache.org/proper/commons-cli/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://www.apache.org/dist/commons/cli/source/commons-cli-%{version}-src.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-engine)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-params)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif

%description
The CLI library provides a simple and easy to use API for working with the
command line arguments and options.

%{?javadoc_package}

%prep
%autosetup -p1 -n commons-cli-%{version}-src

# Compatibility links
%mvn_alias : org.apache.commons:commons-cli
%mvn_file : commons-cli %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc README.md RELEASE-NOTES.txt



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.9.0-2.mga10
+ Revision: 2227316
- Mageia 10 Mass Rebuild

* Sun Sep 01 2024 neoclust <neoclust> 1.9.0-1.mga10
+ Revision: 2092446
- New version 1.9.0

* Sat Jul 20 2024 daviddavid <daviddavid> 1.8.0-1.mga10
+ Revision: 2082118
- Update to upstream version 1.8.0

* Tue May 21 2024 ns80 <ns80> 1.6.0-1.mga10
+ Revision: 2065543
- new version 1.6.0 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1.5.0-3.mga9
+ Revision: 1871062
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.5.0-2.mga9
+ Revision: 1870156
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.5.0-1.mga9
+ Revision: 1863212
- New version 1.5.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 neoclust <neoclust> 1.4-3.mga8
+ Revision: 1618199
- Fix build with java11

* Fri Feb 14 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1520256
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 guillomovitch <guillomovitch> 1.4-1.mga7
+ Revision: 1330417
- new version 1.4

* Tue Sep 18 2018 umeabot <umeabot> 1.3.1-6.mga7
+ Revision: 1259656
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 1.3.1-5.mga6
+ Revision: 1101222
- Regenerate build-requires

* Wed Mar 02 2016 neoclust <neoclust> 1.3.1-4.mga6
+ Revision: 982411
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.3.1-3.mga6
+ Revision: 975446
- First rebuild of the java stack
- sync package apache-commons-cli with fedora

* Sat Dec 19 2015 zezinho <zezinho> 1.3.1-1.mga6
+ Revision: 912235
- new build dep on jacoco-maven-plugin
- new version
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.2-14.mga5
+ Revision: 749196
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-13.mga5
+ Revision: 677790
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.2-12.mga5
+ Revision: 630508
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.2-9.mga4
+ Revision: 489390
- Rebuild against new javapackages

* Thu Sep 12 2013 dmorgan <dmorgan> 1.2-8.mga4
+ Revision: 478218
- Add missing maven-local BR

* Fri Jan 11 2013 umeabot <umeabot> 1.2-7.mga3
+ Revision: 345650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 1.2-6.mga3
+ Revision: 263668
- Adapt to new guidelines

* Wed Apr 27 2011 dmorgan <dmorgan> 1.2-5.mga1
+ Revision: 92223
- Rebuild after bootstrapping
- imported package apache-commons-cli


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Chris Spike <chris.spike@arcor.de> 1.2-3
- Removed maven* BRs in favour of apache-commons-parent
- Added deprecated groupId to depmap for compatibility reasons

* Mon Oct 18 2010 Chris Spike <chris.spike@arcor.de> 1.2-2
- Removed Epoch

* Sun Oct 3 2010 Chris Spike <chris.spike@arcor.de> 1.2-1
- Rename and rebase from jakarta-commons-cli
